Install older version of wine

Install older version of wine

Postby flavio.becker » Wed Nov 14, 2018 1:14 pm

We have our windows software running on a Raspberry PI 2, using wine version 1.6.2 .
We now need to run it on another Raspberry PI 2 and we installed the last version of Exagear and the available version of wine (2.0) but it isn't running (DLL error).
Is there a way of installing wine version 1.6.2 on our new device? We had no success compiling it from source.
flavio.becker
 
Posts: 2
Joined: Wed Nov 14, 2018 1:04 pm

Re: Install older version of wine

Postby goha » Fri Nov 16, 2018 6:34 am

Getting the older version of wine is not easy as you need the specific wine build. Rpi devices are 2g/2g user/kernel memory split systems. Therefore you need a specific build of wine (default build is for the systems with 3g/1g split).
I would suggest you to get the right dll version. The following might work:
1. install wine 1.6 on x86 machine
2. copy required dll from the wine 1.6 from on x86 machine to wine 2.0 on rpi.
goha
 
Posts: 158
Joined: Wed Oct 08, 2014 9:22 am

Re: Install older version of wine

Postby flavio.becker » Fri Nov 16, 2018 6:51 am

Thank you for your answer.
In fact I could find the right version of wine, modified by Eltech in it's github.
The problem is that I couldn't compile it in our raspbery pi running exagear as random errors pop up and close the compiling process.
I'm going to try a cross compilation in a x86 machine but I'm not sure it's going to work.
flavio.becker
 
Posts: 2
Joined: Wed Nov 14, 2018 1:04 pm


Return to ExaGear Desktop

Who is online

Users browsing this forum: No registered users and 3 guests